body,div,dl,dt,dd,ul,ol,li,h1,h2,h3,h4,h5,h6,pre,form,fieldset,input,p,blockquote,th,td,iframe {
  margin:0;
  padding:0;
}

table { border-collapse:collapse; }

fieldset,img { border:0; }

address,caption,cite,code,dfn,em,strong,th,var { font-style:normal; font-weight:normal; }
ol,ul { list-style:none; }
caption,th { text-align:left; }
h1,h2,h3,h4,h5,h6 { font-size:100%; }
q:before,q:after { content:''; }

body {
    font: normal x-small verdana, arial, helvetica, sans-serif;
    background-color: white;
    z-index: 1;
}

html,body { height: 100%; }

/* IE dumbness patch. hidden input in a hidden block that is
subsequently shown leads to the input to "show" and generate undesired
padding.  This makes it go away. */ 
input[type=hidden] { position: absolute; }

/* html element defaults */

h1 { font-size: 18px; font-weight: normal; margin: 10px 0 }

h2 { color: #369; font-size: 13px; }
h2 a { text-decoration: none }
h2 a:visited { color: #369 }
h2 a:hover { text-decoration: underline }
h3 { font-size:110%; /*text-transform:uppercase;*/ }

a img { border: 0 none; }
a { text-decoration: none; color: #369; }

/*
a:active { border: 0 none;}
a:focus { -moz-outline-style: none; }
*/

div.autosize { display: table; width: 1px}
div.autosize > div { display: table-cell; }

input.txt {
    background-color:#f7f7f7;
    border: 1px solid #369; 
}

input[type=checkbox], input[type=radio] { margin-top: .4em; }

/* forms */

.iform th { text-align: right; color: black; font-weight: normal; text-transform: lowercase; }
.wrong {color: red; font-weight: normal}

.subform input.text { width: 25em }
.subform textarea.text { width: 25em }
.subform label { margin: 0 5px 0 5px }
.subform td { padding: 0px 5px 5px 0}
.subform td.nopadding { padding: 0px}

.nowrap { white-space: nowrap; }
.leftpad { padding-left: 1em }
.nomargin { margin: 0px }
.nopadding { padding: 0px }


/* header / menus */

.hover a:hover { text-decoration: underline }

.selected { font-weight: bold; }

.flat-list {list-style-type: none; display: inline;}
.flat-list li {display: inline;}
.flat-list form {display: inline; }
.flat-list .selected a { color: orangered; }

.separator { color: gray; margin: 0px .7ex 0px .7ex}

.pref-lang { font-weight: bold; }
.pref { font-weight: bold; }

#header {
    border-bottom: 1px solid #5f99cf;
    position: relative;
    _height: 0px; /*ie6 hack*/
    background-color: #cee3f8;
    z-index: 99;
}

#header-img {margin-top: 2px;}

#header-top {
    position: absolute;
    right: 5px;
}

#header-bottom-left { 
    font-size: larger;
}

#header-bottom-right { 
    position: absolute;
    right: 0px;
    bottom: 0px;
    background-color: #EFF7FF;
    padding: 4px;
    -moz-border-radius-topleft: 7px;
    -webkit-border-top-left-radius: 7px;
 }

#mail img {position: relative; top: 2px}
.user {color: gray;}


.pagename {
    font-weight: bold;
    margin-right: 1ex;
    font-variant: small-caps;
    font-size: 1.2em;
}
.pagename a {color: black; }
.redditname { }

.newpagelink {
    padding: 3px 5px;
    background-color: #ff9;
}

.dropdown { 
    cursor: default;
    display: inline;
    position: relative;
}

.dropdown-title {
}

.drop-choices {
    position: absolute;
    left: 0px; /* top gets set in js */
    border: 1px solid gray;
    z-index: 100;
    background-color: white;
    white-space: nowrap;
    line-height: normal;
    margin-top: 1px;
}

.drop-choices a.choice {
    cursor: pointer;
    padding: 0px 3px 0px 3px;
    display: block;
 }

.drop-choices a.choice:hover {
    background-color: #c7def7;
}

.dropdown.heavydrop .selected{
    background: white url(/static/droparrow.gif) no-repeat scroll center right;
    border: 1px solid gray;
    padding: 2px;
    padding-right: 23px;
    padding-left: 5px;
    font-weight: bold;
}

.dropdown.lightdrop .selected {
    position: relative;
    background: transparent url(/static/droparrowgray.gif) no-repeat scroll center right;
    padding-right: 21px;
    text-decoration: underline;
    color: gray; 
 }

.drop-choices.lightdrop { 
    margin-top: 2px;
 }

/*tab drop*/
.dropdown.tabdrop .selected {
    position: relative;
    background: white url(/static/droparrowgray.gif) no-repeat scroll center right;
    padding: 2px 21px 1px 5px;
    margin-left: 3px;
    border: 1px solid #5f99cf;
    border-bottom: none;
    color: orangered;
}

.dropdown.tabdrop .selected.title {
    background-color: #eff7ff;
    color: #369;
    padding-bottom: 0;
    border:none;
}
.drop-choices.tabdrop {margin-top: 2px;}
.dropdown-title.tabdrop { display: none }

.tabmenu {
    list-style-type: none;
    white-space: nowrap;
    display: inline;
}
.tabmenu li {
    display: inline;
    font-weight: bold;
    margin: 0px 3px;
    padding: 2px 6px 0px 6px;
    background-color: #eff7ff;
}

.tabmenu li.selected {  padding: 0; }

.tabmenu li.selected a{ 
    color: orangered;
    padding: 2px 6px 1px 6px;
    background-color: white;
    border: 1px solid #5f99cf;
    border-bottom: 1px solid white;
    z-index: 100;
}


#search input[type=text] {
    border: 1px solid gray;
    height: 22px;
    font-size: 18px;
    width: 295px;
    color: gray;
    padding: 2px;
}

.content {
    z-index: 1;
    margin: 7px 0px 0px 5px;
}

.content .spacer { margin-bottom: 5px }

.state-button { display:inline }

/* side box menus */

.side { 
    float: right; 
    background-color: white; 
    margin: 0px 5px 0 5px;
    width: 300px;
}

.side .spacer { 
    margin: 7px 0;
 }

.subredditbox {
    border: 1px solid gray;
}

.subredditbox h4 {
    font-size: 170%;
    color: #333;
    padding: 5px 0 0 5px;
}
.subredditbox h5 { 
    font-weight: normal;
    color: dimgray;
    font-size: 110%;
    padding-left: 5px;
}

.subredditbox input[type=submit] {
    border: none;
    background-color: white;
    text-decoration: underline;
    cursor: pointer;
    margin-left: 10px;
    color: #369;
}

.subredditbox input[type=checkbox] {margin-right: 5px;}

.subredditbox ul {
    padding: 5px;
    width: 139px;
    list-style-type: none;
    float: left;
}

.subredditbox li {padding: 4px; text-transform: uppercase;}
.subredditbox li a {color: #369;}
.subredditbox li.selected a{font-weight: bold;}
.subredditbox .spacer { margin: 5px 0 }

.morelink {
    background-color:#FFFFFF;
    color:#369;
    display:block;
    font-size:150%;
    font-weight:bold;
    letter-spacing:-1px;
    padding:5px 10px;
    text-transform:uppercase;
    border: 1px solid #fff;
}

.morelink.blah:hover {
    background-color: #fff;
    color: #369;
}

.morelink.blah {
    background-color: #369;
    color: #fff;
    border: 1px solid #fff;
}
    
.morelink:hover { 
    color: #fff;
    background-color: #369;
    border: 1px solid #369;
}

.sidebox {
    border: 1px solid gray;
    padding-left: 44px;
}
.sidebox .spacer { margin: 0 0 5px 0 }

.sidebox.create {
    background: url(/static/create-a-reddit.png) no-repeat scroll center left;
}
.sidebox.submit {background: url(/static/submit-alien.png) no-repeat scroll center left;}
.sidebox .morelink { text-transform: none; }
.sidebox .subtitle {
    margin-left: 10px;
    color: dimgray;
    font-size: 110%;
}

/* raised box */

.raisedbox {
    padding: 5px; 
    background: #E0E0E0;
    border: 1px solid gray;
}

.raisedbox h3 {    
    font-size: 160%;
    margin-bottom: 0px;
    color: #333;
}
.raisedbox h4 { margin-bottom: 3px }

.raisedbox li {margin-bottom: 2px;}

.subreddit-info {padding-bottom: 3px }
.subreddit-info .moderate { color: orangered; }

.subreddit-info #subscribe { 
    display: inline;
    margin-right: 5px;
    font-size: larger;
}

.subreddit-info .label {color: #404040;}
.subreddit-info .state-button { display:block }
.subreddit-info .spacer { margin: 10px 0px 0px 0px }

.raisedbox .flat-list {  }
.raisedbox .flat-list .separator { display: none; }
.raisedbox .flat-list a { 
    background-color: #F0F0F0;
    border: 1px solid white;
    border-bottom: none;
    margin-right: 1px; 
    padding: 3px 5px 3px 5px; 
}


.raisedbox .hover a:hover { 
    background-color: #369; 
    color: white;
    text-decoration: none;
}

/* feature disabled. need to go through this to see what's relevant
before enabling */
/*
.raisedbox .edit {
    color: gray;
    text-decoration: none;
    font-size: x-small;
}

.raisedbox #avatar { float: left;
    text-align: center; }
.raisedbox #avatar img {
    width: 64px;
    height: 64px;
    display: block;
    border: 1px solid black;
    margin-right: 10px; 
}
.raisedbox #avatar a { padding: 0px; }
*/

.infotable { margin-top: 5px; margin-bottom: 10px; }
.infotable .small { font-size: smaller; }
.infotable td { padding-right: 3px; }
.infotable a:hover { text-decoration: underline }
.infotable .state-button a {  background-color: #F0F0F0; color: gray; }
.infotable .bold { font-weight: bold; }
.infotable .invalid-user { background-color: pink}
.infotable .organic-vote { border: 1px solid green; }


/* used on profile pages */

.profile-attr {}
.profile-attr .label {font-weight: bold; }
.profile-attr .value {color: #404040; 
                       margin-right: 5px; }

.profile-attr .md { 
    margin-left: 10px; 
    margin-top: 5px; 
    border-color: #B2B2B2 #D0D0D0 #D0D0D0 #B2B2B2;
    border-style: solid;
    border-width: 1px;
    padding: 10px; }

.profile-attr .md ul { 
    float: none; 
    list-style-type: disc;
    margin-left: 15px; 
}

.profile-attr .md p { margin-top: 0px; }

.question { color: red; }
.question .yes { margin-left: 5px; margin-right: 3px; }
.question .no  { margin: 0px 3px 0px 3px; }

/* thing rendering */

.arrow {
    margin: 2px 0px 0px 0px;
    width: 100%;
    height: 14px;
    display: block;
    cursor: pointer;
    background-position: center center;
    background-repeat: no-repeat; 
}

.arrow.upmod { background-image: url(/static/aupmod.gif); }
.arrow.downmod { background-image: url(/static/adownmod.gif); }
.arrow.up { background-image: url(/static/aupgray.gif); }
.arrow.down { background-image: url(/static/adowngray.gif); }

.midcol { 
    float: left; 
    margin-right: 2px; 
    margin-left: 7px; 
    background: transparent; 
    overflow: hidden;
}

.entry {
    overflow: hidden; 
    margin-left: 3px;
    opacity: 1;
}
.domain { color: #888; font-size:x-small; }
.domain a { color: #888 }
.domain a:hover { text-decoration: underline }

.tagline { color:#888; font-size:x-small; 
}
.tagline a {color: #369; text-decoration: none; }
.tagline a.friend {color: orangered }
.tagline a:hover { text-decoration: underline }

.watch-play { 
    background: transparent url(/static/reddit-button-play.gif) no-repeat scroll right center;
    padding-right: 15px;
    color: #336699;
}
.watch-stop {  
    color: red;
}

.embededmedia { margin-top: 5px }

.title { color: blue; padding: 0px; overflow: hidden; }
.title:visited { color: #551a8b }
.title.click { color: #551a8b } 

.title.loggedin { color: blue }
.title.loggedin:visited { color: #551a8b }
.title.loggedin.click { color: #551a8b } 
.title.loggedin.click:visited { color: #551a8b }

.sitetable { list-style-type: none; }
.ajaxhook { position: absolute; top: -1000px; left: 0px; }
.nextprev { color: gray; font-size: larger; margin-top: 10px;}

/* corner help */
.corner-help { 
    margin: 0px 5px 5px 0;
    position: absolute;
    right: 0px;
    bottom: 0px;
 }

.corner-help a { 
    color: #808080;
    text-decoration: underline;
}

.helpcover { 
    z-index: 1000;
    top: 0px;
    bottom: 0px;
    left: 0px;
    right: 0px;
    position: absolute;
    background-color: #F8F8F8;
    font-size: 110%;
    _width: 100%;
    _height: 70px;
 }

.helpcover p, .helpcover form { margin: 5px; }


/* organic listing */
.organic-listing { 
    border: solid 1px #666666;
    padding: 0;
    overflow: hidden; 
    position: relative;
    _height: 60px;
    _overflow: hidden;
}

.organic-listing .link { 
    background-color: #F8F8F8;
    padding: 5px 7em 10px 0;
    margin-bottom: 0px; 
}

.organic-listing .linkcompressed { 
    background-color: #F8F8F8;
    padding: 5px 7em 10px 0;
    margin-bottom: 0px; 
 }

.organic-listing .nextprev { 
    margin: 0px;
    position: absolute;
    right: 0px;
    top: 0px;
    vertical-align: top;
}

.organic-listing .nextprev img { margin: 5px 5px 2px 0px; border: solid 1px #B3B3B3; }
.organic-listing .nextprev img:hover  { cursor: pointer;  border: solid 1px #336699; }
.organic-listing .nextprev img:active { margin: 6px 4px 1px 1px;}

.promoted {
    background-color: #EFF7FF;
    border: solid 1px;
    padding: 5px 0 5px 0;
    overflow: hidden;
}

.organic-listing .promoted {
    background-color: #EFF7FF;
    border: none;
}

.organic-listing .sponsored-tagline {
    color: #808080;
    bottom: 0;
    margin: 0 5px 5px 0;
    position: absolute;
    right: 6.3em;
    display: block;
}

.sponsored-tagline {
    display: none;
}

.promote-pixel {
    position: absolute;
    top: -1000px;
    right: -1000px;
}

.organic-help-button { padding: 0 .5ex; }

.infobar {
    background-color: #f6e69f;
    padding: 5px 10px;
    margin: 5px 310px 5px 0px;
    border: 1px solid orange;
    font-size: small;
}

.menuarea {
    border-bottom: 1px dotted gray;
    padding: 5px 10px;
    margin: 5px 310px 5px 5px;
    font-size: larger;
}

.menuarea .spacer {display: inline; margin-right: 15px}

/* markdown */
.md { max-width: 60em; overflow: auto; font-size: small; }
.md p, .md h1 { margin: 5px 0}
.md h1 { font-weight: normal; font-size: 100%; }
.md > * { margin-bottom: 0px }
.md strong { font-weight: bold; }
.md em { font-style: italic; }
.md strong em { font-style: italic; font-weight: bold }
.md img { display: none }
.md ol, .md ul { margin: 10px 2em; }
.md ul { list-style: disc outside }
.md ol { list-style: decimal outside }
.md pre { margin: 10px; }
.md blockquote, .help blockquote {
    border-left: 2px solid #369;
    padding-left: 4px; 
    margin: 5px;
    margin-right: 15px;
}

.infobar {
    background-color: #f6e69f;
    padding: 5px 10px;
    margin: 5px 310px 5px 0px;
    border: 1px solid orange;
    font-size: small;
}

.infobar img {
    display: inline;
    vertical-align: middle;
}

.menuarea {
    border-bottom: 1px dotted gray;
    padding: 5px 10px;
    margin: 5px 310px 5px 5px;
    font-size: larger;
}

.menuarea .spacer {display: inline; margin-right: 15px}


/*top link*/
a.star { text-decoration: none; color: #ff8b60 }

.odd  { }
.even { }

/* buttons on main link style */
.entry .buttons li { 
    display: inline;
    padding: 0 4px;
    border: none;}

.entry .buttons li.first {padding-left: 0px;}

.entry .buttons li a { 
    color: #888;
    font-weight: bold;
    padding: 0 1px;
}

.entry .buttons a:hover {text-decoration: underline}

/* links */

.link { margin: 0; margin-bottom: 8px; }
.link .score {text-align: center; color: #c6c6c6;}
.link .title {font-size:medium; font-weight: normal; margin-bottom: 1px;}

.link .child h3 { 
    margin: 15px; 
    text-transform: none; 
    font-size: medium; 
}

.rank { overflow: hidden }

.link .midcol {font-weight: bold; font-size: small;}

.link .score.likes   { color: #FF8B60; }
.link .score.dislikes { color: #9494FF; }
.link .rank { 
    float:left;
    margin-top: 15px;
    color: #c6c6c6;
    font-family: arial;
    font-size: medium;
    text-align: right;
}

/* compressed links */
.linkcompressed { margin: 4px 0; overflow: hidden; }
.linkcompressed .title {margin-bottom: 1px; font-size:medium; font-weight: normal;}
.linkcompressed .child h3 { 
    margin: 15px; 
    text-transform: none; 
    font-size: medium; 
}

.linkcompressed .score.likes   { color: #FF8B60; }
.linkcompressed .score.dislikes { color: #9494FF; }
.linkcompressed .rank { 
    margin-top: 2px;
    float:left;
    color: #c6c6c6;
    font-family: arial;
    font-size: medium;
    text-align: right;
}
.linkcompressed .tagline { display: inline; margin-top: 0px; margin-bottom: 1px; }
.linkcompressed .flat-list { display: inline }

/* compressed buttons */
.linkcompressed .entry .buttons li { padding: 2px; background-color: transparent; }
.linkcompressed .entry .buttons li.first {padding-left: .5em;}
.linkcompressed .entry .buttons li a {
    padding: 0 2px;
    background-color: #f0f0f0;
    font-weight: normal
}

.linkcompressed .midcol { width: 15px; }
.linkcompressed .entry .buttons li a:hover { text-decoration: underline}


.warm-entry .rank { color: #EDA179; }
.hot-entry .rank { color: #E47234; }
.cool-entry .rank { color: #A5ABFB; }
.cold-entry .rank { color: #4959F7; }

/* comments */

.comment { margin-left: 10px; }
.comment .midcol { margin-left: 0px; }
.comment .title { font-size: small; margin-top: 10px;}

.comment .midcol { width: 15px; }

.comment .author { font-weight: bold; }
.comment .collapsed { font-size: x-small; 
    color: gray; 
    font-style: italic; 
    padding-left: 17px;
    padding-bottom: 10px; }
.comment .collapsed a { color: gray; }
.comment .expand { 
    font-style: normal; 
    margin-left: 5px;
    margin-right: 5px;
    padding: 1px; }
.comment .expand:hover { 
    text-decoration: none;
    color: white;
    background-color: #369;
}

.comment .score { font-size: x-small; }
.comment .child {
    margin-top: 10px; 
    margin-left: 15px; 
}

.commentreply {
    margin: 10px; 
    margin-left: 15px; 
    width: 40em; 
}

.commentreply textarea { 
    border: 1px solid #369;
    width: 100%;
    margin: 0px; 
    margin-bottom: -1px;
}
.commentreply .buttons { 
    margin: 0px; 
    float: left; 
}
.commentreply .buttons button { 
    margin: 5px; 
}

.commentreply table.help { 
    margin: 0px;
    margin-top: 5px; 
    font-size: larger;
    width: 100%;
}

.commentreply .help, 
.commentreply .help td, 
.commentreply .help tr {
    border: 1px solid #C0C0C0;
    padding: 4px;
    margin: 0px;
}
.commentreply .help-toggle { 
    float:right;
    margin-top: 7px; 
}

.permamessage {
    font-size: larger;
    border: 1px dotted black;
    padding: 5px 5px 5px 18px;
    white-space: nowrap;   
    background-image: url(/static/permalink-arrow.png);
    background-repeat: no-repeat;
    background-position: 5px center;
}

.deepthread {
    padding-right: 30px;
    background-image: url(/static/continue-thread.png);
    background-repeat: no-repeat;
    background-position: center right;
}
.deepthread a { font-size: larger; color: #336699 }
.deepthread a:hover { text-decoration: underline}

.morecomments {font-size: larger}
.morecomments a { color: #336699 }
.morecomments a:hover { text-decoration: underline}
.morecomments .gray {font-weight: normal; color: gray}

.message {margin: 10px}
.message .head.new {color:orangered  }
.message .subject { font-weight: bold; font-size: larger; }

.subreddit { margin-bottom: 10px; }
.subreddit p { margin-top: 0px; margin-bottom: 1px; }
.subreddit .description {font-size: small; max-width: 60em;}
.subreddit .key {display: block;}
.subreddit .title { font-size: medium; margin-right: 5px; }
.subreddit .midcol { margin-right: 5px }

.sr-toggle-button {
    width: 54px;
    height: 18px;
    margin-bottom: 5px;
    cursor: pointer;
}
.sr-toggle-button.add { background-image: url(/static/sr-add-button.png) }
.sr-toggle-button.remove { background-image: url(/static/sr-remove-button.png)}

.sr-type-img { 
    margin-right: 2px;
}

.commentbody { }

.commentbody.border { background-color: #ffc; padding-left: 5px}

.fixedwidth { float: left; width: 100px; height: 0px; }
.clearleft { clear: left; height: 0px; }
.clear { clear: both; }

.sharetable.preftable {margin-left: 20px; }
.sharetable.preftable th { padding-bottom: 5px; padding-top: 5px;  }
.sharetable.preftable button { margin-top: 10px }

.preftable.widget-preview { font-size:smaller; }
.preftable.widget-preview input[type="text"] { width: 150px; }
.preftable #css-options input[type="text"] { margin-left: 0px; width: 6em; }

.share-summary { width: 95%; margin-top: 10px; }
.share-summary .head td { width: 50%; font-size: large; text-align: center }
.share-summary td { vertical-align: top;}
.share-summary > tbody > tr > td  { 
    padding-left: 10px; 
    padding-bottom: 10px; 
}
.share-summary th { padding: 5px; border-bottom: 1px solid #000; }

.sponsored .entry  { margin-right: 20px;}

.sponsored .titlerow { background: #fcfcfc;
    padding: 10px; 
    border-top: #BCBCBC solid 1px;
    border-left: #BCBCBC solid 1px;
    border-bottom: #E0E0E0 solid 1px;
    border-right: #E0E0E0 solid 1px;
}

.sponsored .asterisk { 
    width: 15px; 
    background: url(/static/asterisk.png); 
    background-repeat: no-repeat }


/* footer */
.footer {
    width: 100%; 
    text-align: center; 
    clear: both; 
    padding-top: 1em; 
    color: gray; 
    font-size: larger;
}

.footer p { margin: 10px }

.wired a {text-decoration: underline; 
    color: #369;
    font-size: smaller;
    padding-left: 5px;
    padding-right: 5px; }
.wired img {vertical-align: middle;}

.server-status { width: 300px; }
.server-status table { font-size: xx-small; margin-left: 5px; }
.server-status td { padding-right: 2px; }
.server-status .bar { height: 5px; background-color: blue; }
.server-status .load0 { background-color: #FFFFFF; }
.server-status .load1 { background-color: #E2ECFF; }
.server-status .load2 { background-color: #CAFF98; }
.server-status .load3 { background-color: #FFEA71; }
.server-status .load4 { background-color: #FF9191; }
.server-status .load5 { background-color: #FF0000; color: #FFFFFF }

.server-status .pegged { 
    background-color: red;
    font-weight: bold;
    color: #FFFFFF;
}

.server-status .membar { 
    height:10px; 
    border:1px solid white;
    background-color:#336699; 
}
.server-status .cpu50  { 
    height: 5px; 
    background-color:green; 
    border:1px solid white;
    border-bottom: none;
}
.server-status .cpu300 { 
    height: 5px; 
    background-color:red; 
    border:1px solid white;
}


/* login form */

.orangered { color: orangered; }


.login-form-side { 
    border: gray solid 1px;
    border-bottom: black solid 1px;
    border-right: black solid 1px;
}

.login-form-side input { 
    border: 1px solid gray;
    width: 138px;
    height: 17px;
    margin: 5px 0px 0px 5px;
    top: 5px;
    padding: 1px;
 }

.login-form-side .error { 
    margin: 5px;
}

#remember-me { 
    margin: 5px;
}

/*the checkbox*/
#rem-login-main {
    position: static;
    height: auto;
    width: auto;
    border: none;
    margin-right: 5px;
}

.login-form-side label {
    padding: 2px 0 2px 0;
    margin-right: 5px;
    white-space: nowrap;
}

.login-form-side button {
    float: right;
}


.error { color: red; font-size: small; margin: 5px; }

#noresults { margin-right: 310px;  }

#ad-frame {
    border: 0px;
    overflow: hidden;
    width: 300px;
    height: 300px;
}


/* search */

#searchmenu { margin: 10px 0 0px 0; padding: 2px 0 0 0; 
    border-bottom: 2px solid #369; 
    background-color: whitesmoke}

#searchmenu .searchlabel { background-color: white; 
    padding: 2px 15px 0px 0px; 
    font-weight: bold; color: #369 }

#searchmenu .searchtime {
    font-weight: bold; 
    display: inline; 
    width: 305px;
}


.searchparams { margin: 5px 20px 5px 20px
}
.searchparams .labels {text-align: right;
    margin-left: 10px; }


/*.searchpane { margin-left: 20px }
.searchpane h2 { margin-bottom: 3px }
.searchpane p { margin-bottom: 5px; margin-top:3px; }
.searchpane a { color: #369 }*/

.searchpane { 
    margin: 5px 310px 5px 0px;
} 

.searchpane #search input[type=text] { }

.searchpane .summary { 
    font-weight: bold; 
    float: right;
}

.searchpane .clearleft { 
    margin-bottom: 10px; 
}

/* login, register */



.legal {color: #808080; font-family: serif; font-size: small; margin-top: 20px; }
.legal a {text-decoration: underline}

.divide { border-right: 2px solid #D3D3D3;  }

.loginform { 
    float: left; 
    width: 45%; 
    padding-left: 15px; 
    padding-right: 15px; 
}

.loginform h3 { 
    margin-bottom: 0;
    margin-top: 10px;
    font-size: large;
    font-weight: bold; 
    font-variant: small-caps;
    color: #404040;
}
.loginform p { 
    text-align: left;
    margin-bottom: 10px; 
    color: #606060;
    margin-bottom: 20px; 
}
.loginform label {
    display: block; 
    font-weight: bold;
    color: #606060; 
}

.loginform .remember { display:inline; margin-left: 5px;  }
.loginform ul { margin: 5px; }
.loginform li { margin-top: 5px; }
.loginform p .btn { margin-top: 5px }
.loginform input.logtxt { width: 125px; }

.loginform input[type=text],
.loginform input[type=password] { 
    width: 125px;
    border: 1px solid #A0A0A0;
    margin-top: 2px; 
    margin-bottom: 2px; 
    padding: 1px;
}

.loginform #captcha { 
    width: 250px;
 }

/* cover */
.cover {
    position: fixed;
    top: 0px;
    left: 0px;
    height: 100%;
    width: 100%;
    background-color: gray;
    opacity: .7;
    filter:alpha(opacity=70); /* IE patch */
    z-index: 1000;
}

.popup {
    position: absolute;
    left: 10%;
    background-color: white;
    top: 100px;
    width: 80%;
    text-align: left;
    z-index: 1001;
    padding: 10px;
    border-color: #B2B2B2 black black #B2B2B2;
    border-style: solid;
    border-width: 1px;
}

.popup h1 { 
    text-align: center;
    font-size: large; 
    font-weight: normal;
    color: orangered;
}

.popup h2 { 
    text-align: center;
    font-size: small;
    margin-top: 0px;
    color: black;
    font-weight: normal;
}

.usertable { margin-left: 10px;} 
.usertable { font-size: larger }
.usertable td { padding: 0 .7em }
.usertable { white-space: nowrap }


.aboutpage {  margin-right: 320px; }
.aboutpage p { margin: 5px; }
.aboutpage h1, .aboutpage h2 { margin: 10px;}

.aboutpage .usertable { width: 45%; }

.little a { font-size: x-small;  }

.oldbylink a {  background-color: #F0F0F0; margin: 2px; color: gray}

.details { 
    font-size: x-small; 
    margin-bottom: 10px; 
}

.details span { margin: 0 5px 0 5px; }
.details th { 
    text-align: right; 
    padding-right: 5px;
    font-weight: bold;
}

.bottommenu { color: gray; font-size: smaller; }
.bottommenu a { color: gray; text-decoration: underline;   }


/* Buttons specific */


.button { 
    border-collapse: collapse;
    color: gray;
    text-align: center;
    margin: 1px;
 }

.button #cover { 
    position: relative; 
 }

.button .cover {  
    background: white; 
}

.button #popup { 
    position: absolute; 
    width: 80%; 
    z-index: 1001; 
    background: white; 
    padding: 2px; 
    border-color: #B2B2B2 black black #B2B2B2;
    border-style: solid;
    border-width: 1px;
}


.button .arrow { width: 15px; }

.num { font-weight: bold; font-size: larger }

.button .blog {
    border: 1px solid #c7def7;
    color: gray;
    text-align: center;
    margin: 1px;
}

.button {color: #369;}
.button a:hover { text-decoration: underline }


.button .blog1 { font-size: x-small; }
.button .blog1 .arrow { float:left; margin-left: 2px;  margin-right: 2px;  }

.button .blog1 .headimgcell {
    background-color: #c7def7;
    width: 18px;
    float: left; 
}
.button .blog1 .score { 
    float: center;
    margin-top: 2px;
    margin-right: 5px; 
}

.button .blog2 { font-size: small; }
.button .blog2 .arrow { width: 100% }
.button .blog2 .bottomreddit { color: black; background-color: #c7def7; font-size: small; }

.button .blog3 { font-size: small; border: none; }
.button .blog3 .left { float: left; width: 50%; }
.button .blog3 .arrow { width: 100% }
.button .blog3 .right { float: right; margin-top: 5px; }


.blog5 .right { float: right; }
.blog5 .left  { float: left; display:block; margin-top: 10px; }
.blog5 .clearleft { clear: left; }
.button .blog.blog5 { border: none; text-align: left; font-size: small; }
.blog5 .container { margin-left: 35px; margin-top: 2px; height: 50px;}
.blog5 ul { display: inline; }
.blog5 ul a { color: #515481; font-weight: bold; text-decoration: underline;  }
.blog5 li { display: inline; padding: 1px 10px 1px 10px; }
.blog5 li.selected {  
    background-color: #F8F8F1; 
    color: #000; 
    border-color: #CCC; 
    border-style: solid solid none solid;
    border-width: 1px;

}
.blog5 .votes { 
    height: 25px; 
    background-color: #F8F8F1; 
    border: 1px solid #CCC;
    padding-top: 5px; 
}
.blog5 .arrow { 
    margin-right: 15px; 
    margin-left: 5px; 
    color: black; 
    cursor: pointer;
    display: inline; 
    background-position: left center;
    background-repeat: no-repeat; 
    padding-left: 20px; 
}
.blog5 .votes.disabled .arrow { color: #888; }
.blog5 .arrow:hover { text-decoration: none; }
.blog5 .arrow b { font-size: larger; }
.blog5 .arrow.upmod b   { color: #FF8B60; }
.blog5 .arrow.downmod b { color: #9494FF; }

.blog5 .right { margin-right: 5px; font-size: medium; font-style: italic;  }
.blog5 .controversy3 { color: #BB2222;}
.blog5 .controversy2 { color: #AB4242;}
.blog5 .controversy1 { color: #976B6B;}
.blog5 .controversy0 { color: #A8A8A8;}


.optional {color: green}
.instructions { font-size: larger;  }
.instructions h1, .instructions h2, .instructions h3 { margin-top: 20px; margin-bottom: 20px;  }
.instructions p { margin: 10px; max-width: 60em}
.instructions pre { margin: 5px;  margin-right: 10px; }
.instructions iframe { margin: 5px 10px 5px 0px; }
.instructions input, .instructions select { margin: 0 .5em }
.instructions a.view-code { float: right; margin-bottom: 1em; }
.instructions a:focus { -moz-outline-style: none; }
.instructions strong { font-weight: bold; }
.instructions .buttons { margin-left: 1em; max-width: 50em; }
.instructions .buttons li { margin-top: 1em; 
                            border-bottom: 1px solid #e0e0e0;  
                            padding-bottom: 1em;}      
.instructions code { display: block;
                     font-family: monospace; 
                     font-size: small;
                     margin: 5px; 
                     background-color: #FF9; 
                     padding: 10px; 
                     max-width: 50em;}

#preview { float: right; width: 30em; margin: 10px; }
#preview span { color: lightgray;  }
#preview #previewbox {
  border-width: .2em;
  border-style: dashed;
  border-color: lightgray;
  padding: 1em;
  font-size: larger;
}

/* the toolbar */
.toolbar { height: 30px; border-bottom: 1px solid black}
.toolbar td { vertical-align: center; }
.toolbar .arrow { 
    background-position: center left; 
    padding-left: 18px; 
    display: inline;
}
.toolbar span { 
    margin-left:  20px; 
}
.toolbar #frame-right { text-align: right }
.toolbar #frame-right a { margin-left: 10px;  }

/* default form styles */
.pretty-form { 
    font-size: larger;
    vertical-align: top; 
 }

.pretty-form p {margin: 3px ;}
.pretty-form input[type=checkbox],
.pretty-form input[type=radio] {margin: 2px .5em 0px .5em; }
.pretty-form img { margin: 3px .5em}
.pretty-form input[type=text],
.pretty-form textarea,
.pretty-form input[type=password] {
    border: 1px solid gray;
    width: 300px; 
    padding: 2px;
}

.pretty-form .infobar { 
    width: 285px; 
    margin: 5px;
 }

.pretty-form input[type=text],
.pretty-form input[type=file],
.pretty-form input[type=password],
.pretty-form select,
.pretty-form b,
.pretty-form textarea,
.pretty-form button  { margin: 3px .5em; }
.pretty-form th { text-align: right }

/*pref page boxes*/
.pretty-form.short-text input[type=text],
.pretty-form.short-text textarea,
.pretty-form.short-text input[type=password] {width: 2em }

/*update password*/
.pretty-form.medium-text input[type=text],
.pretty-form.medium-text textarea,
.pretty-form.medium-text input[type=password] {width: 15em }

/*submit*/
.pretty-form.long-text input[type=text],
.pretty-form.long-text textarea,
.pretty-form.long-text input[type=password] {padding: 2px; width: 40em }

/*forgot password*/
#passform h1 { margin: 0px; }
#passform p { font-size: smaller; color: orangered; margin-bottom: 7px}
#passform.pretty-form button { padding: 0px 1px; }


/*opt-out/in form*/
.opt-form { font-size: larger }
.opt-form form { display: inline; }

/* pref table - used for preferences and edit subreddit pages */
.preftable th { 
    padding: 10px; 
    font-weight: bold; 
    vertical-align: top;
    text-align: right;
}
.preftable td.prefright { padding: 8px 0;}
.preftable .spacer { margin-bottom: 5px; }
.preftable .note { width: 100%; vertical-align: top; padding-top: 10px; }
.save-button { margin-left: 5px; }

.over18 button { margin: 0 10px 0 10px; padding: 5px}

.reported { background-color: #f6e69f }
.suspicious { background-color: #f6e69f }
.spam { background-color: #FA8072 }

.little { font-size: smaller  }
.gray { color: gray }

/* stats page */

.stats { float: left; margin-right: 2em; border-collapse: collapse; font-size: larger; }
.stats td.space {width: 20px}
.stats td.sec { padding-bottom: 7px; font-size : 18px; font-weight: normal }
.stats a {color: #369}
.stats a:hover {text-decoration: underline;}
.stats td.k { color: gray }
.stats th { text-align: left; background-color: whitesmoke; 
            color: #369; font-weight: bold;}
.stats td.ri { padding-left: 20px; text-align: right}

.thumbnail { 
    float: left; 
    margin: 0px 5px; 
    overflow: hidden;
}


/* CSS customisation page */

.stylesheet-customize-container { }
.stylesheet-customize-container textarea { margin: 0; padding: 0px; }
.stylesheet-customize-container h2 { margin-top: 15px; margin-bottom: 10px;  }

.image-upload .new-image { margin-left: 20px }
.image-upload table { margin-left: 20px;  }
.image-upload td,
.image-upload th    { vertical-align: top; }
.image-upload span  { padding-left: 5px; }
.image-upload { display: inline; }


ul#image-preview-list { 
    margin: 20px 320px 20px 20px;
    font-size:larger;
}
ul#image-preview-list li { 
    padding-bottom: 10px; 
    margin-bottom: 20px; 
    vertical-align: top; 
    width: 45%; 
    height: 100px; 
    float: left;
    position: relative; 
}

ul#image-preview-list .preview { 
    width: 100px;                                     
    float: left;
    display: block;
    text-align: center;
    max-height: 100px;
    overflow: hidden;
}
ul#image-preview-list .preview img { 
    max-width: 100px; 
    padding: auto;
}
ul#image-preview-list .description { 
    vertical-align: top;
    margin-left: 105px; 
}
ul#image-preview-list .description pre { 
    display: inline;
    padding: 5px;
}


.sheets { margin-right: 315px; }
.sheets .col { float: left;  }
.sheets .col > div { margin: 0 5px; }
.sheets .col textarea { width: 100% }
.sheets .buttons { margin-left: 5px }
.sheets .btn { margin-left: 0px; margin-right: 5px; }
.sheets .btn.right { float: right; margin-right: 3px;}


#validation-errors { 
    margin-left: 40px; 
    margin-top: 10px; 
    list-style-type: disc;
}

#validation-errors a,
#validation-errors li,
.errors h2 { color: red }

#validation-errors a:hover { text-decoration: underline; }
#validation-errors pre { padding: 10px; color: black; }

#preview-table { 
    padding-right: 15px;  
}
#preview-table > table {  
    border-width: .2em;
    border-style: dashed;
    border-color: lightgray;
    padding: 5px; 
    margin: 5px; 
    width: 100%;
}

#preview-table > table > tbody > tr { padding-bottom: 10px;  }
#preview-table > table > tbody > tr > td { padding: 5px; padding-right: 15px;}
#preview-table > table > tbody > tr > th { padding: 5px; padding-right: 15px;}
#preview-table > table > tbody > tr > th { 
    font-weight: bold; 
    vertical-align: top;
    font-size: larger;
    text-align: right;
}

#img-preview-container {
    border-width: .2em;
    border-style: dashed;
    border-color: lightgray;
    padding: 5px; 
    margin: 5px; 
    float: left;
}    

/* Socialite */
.socialite.instructions ul {
    margin: 10px;
    max-width: 60em;
}

.socialite.instructions ul > li {
    list-style-type: disc;
    list-style-position: inside;
}

.socialite.instructions hr {
    color: #C6C6C6;
    border: none;
    border-top: 1px solid #C6C6C6;
    margin: 20px 0px 20px 0px;
    max-width: 60em;
}

.socialite.instructions p.screenshot {
    text-align: center;
}
  
.socialite.instructions .logotext {
    line-height: 32px;
}

.socialite.instructions .logotext .logo {
    float: left;
    margin-right: 10px;
}
  
.socialite.instructions .logoclear {
    clear: left;
}

.socialite.instructions .features { 
    padding-left: 15px;
    max-width: 60em;
}

/* From http://www.oscaralexander.com/tutorials/how-to-make-sexy-buttons-with-css.html */
.socialite .buttonclear {
    overflow: hidden;
    float: right;
    margin-right: 20px;
    
}

.socialite a.installbutton {
    background: transparent url(/static/socialite/installbutton-end.png) no-repeat scroll top right;
    color: #FFF;
    display: block;
    float: left;
    font: bold 18px "Trebuchet MS",Helvetica,"Helvetica Neue",Arial,sans-serif;
    height: 50px;
    margin-right: 6px;
    padding-right: 48px; /* sliding doors padding */
    text-decoration: none;
}

.socialite a.installbutton span {
    background: transparent url(/static/socialite/installbutton.png) no-repeat;
    display: block;
    line-height: 30px;
    padding: 10px 0 10px 17px;
}

.socialite a.installbutton:hover {
    background-position: bottom right;
}

.socialite a.installbutton:hover span {
    background-position: bottom left;
} 

#sr-header-area { 
    padding: 3px 0px;
    background-color: #e0e0e0;
    white-space: nowrap;
    overflow: hidden;
    text-transform: uppercase;
    border-bottom: 1px solid gray;
    font-size: 90%;
 }

.dropdown.srdrop .selected { 
    background: transparent url(/static/droparrowgray.gif) no-repeat scroll center right;
    display: inline-block;
    vertical-align: bottom;
    padding-right: 21px;
    padding-left: 5px; /* have to use padding instead of margin cause of ie */
    color: black;
    font-weight: normal;
 }

.srdrop .choice {margin-top: 3px;}

.srdrop .choice.top-option {
    font-style: italic;
    border-bottom: 1px dotted #369;
}

.srdrop .choice.bottom-option {
    font-style: italic;
    border-top: 1px dotted #369;
}

#sr-bar { margin-left: 10px; }
#sr-bar .separator {color: gray; }
#sr-bar a {color: black;} 

#sr-more-link {
    color: black;
    background-color: #e0e0e0;
    position: absolute;
    right: 0px;
    top: 3px;
    padding: 0 5px 0 15px;
    font-weight: bold;
    margin: 0 1px;
}

#sr-more-link:hover {text-decoration: underline;}

.subscription-box { 
    border: 1px solid gray;
    padding: 0 10px;
 }

.subscription-box li { 
    clear: left;
    margin-bottom: 10px;
}

.subscription-box .sr-toggle-button {
    margin-right: 5px;
    float: left;
}

.subscription-box .title { 
    font-size: medium;
    color: blue;
    margin-right: 5px;
}

.subscription-box h1{ text-align: center; }
